Oracle Linux 8:libxml2 (ELSA-2021-1597)

medium Nessus 插件 ID 149943
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Oracle Linux 主机缺少安全更新。

描述

远程 Oracle Linux 8 主机上安装的程序包受到 ELSA-2021-1597 公告中提及的漏洞的影响。

- GNOME 项目 libxml2 v2.9.10 在 libxml2/entities.c 的 xmlEncodeEntitiesInternal 中有一个全局缓冲区过度读取漏洞。此问题已在 commit 50f06b3e 中修复。(CVE-2020-24977)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

更新受影响的 libxml2、libxml2-devel 和/或 python3-libxml2 程序包。

另见

https://linux.oracle.com/errata/ELSA-2021-1597.html

插件详情

严重性: Medium

ID: 149943

文件名: oraclelinux_ELSA-2021-1597.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2021/5/26

最近更新时间: 2021/5/26

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2020-24977

VPR

风险因素: Low

分数: 3.3

CVSS v2

风险因素: Medium

基本分数: 6.4

时间分数: 4.7

矢量: AV:N/AC:L/Au:N/C:P/I:N/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: Medium

基本分数: 6.5

时间分数: 5.7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/o:oracle:linux:8, p-cpe:/a:oracle:linux:libxml2, p-cpe:/a:oracle:linux:libxml2-devel, p-cpe:/a:oracle:linux:python3-libxml2

必需的 KB 项: Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list, Host/local_checks_enabled

易利用性: No known exploits are available

补丁发布日期: 2021/5/25

漏洞发布日期: 2020/9/4

参考资料信息

CVE: CVE-2020-24977